Search for Tasks

Use the Search for Tasks endpoint to find tasks that your team has created in Apollo.

To protect Apollo's performance for all users, this endpoint has a display limit of 50,000 records (100 records per page, up to 500 pages). Add more filters to narrow your search results as much as possible. This limitation does not restrict your access to Apollo's database; you just need to access the data in batches.

This endpoint requires a master API key. If you attempt to call the endpoint without a master key, you will receive a 403 response. Refer to Create API Keys to learn how to create a master API key.

Query Params
string

Sort the tasks by 1 of the following options:

  • task_due_at: The most future-dated first.
  • task_priority: The highest priority first.

open_factor_names[]
array of strings

Enter task_types for this parameter to return a count of tasks by task type.

When used, the response includes a "task_types": [] array with a "count" value for each task type.

open_factor_names[]
int32

The page number of the Apollo data that you want to retrieve.

Use this parameter in combination with the per_page parameter to make search results for navigable and improve the performance of the endpoint.

Example: 4

int32

The number of search results that should be returned for each page. Limiting the number of results per page improves the endpoint's performance.

Use the page parameter to search the different pages of data.

Example: 10

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain